Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSMinuteMessage Class Reference

Unsupported: The meeting minutes feature is currently not supported. More...

`#import <CSMinuteMessage.h>`

Inherits NSObject.

## Properties
NSString * | minuteId
| The minute message ID associated with the particular minute object. More...
NSDate * | date
| Adding date of particular meeting minute object. More...
NSString * | content
| Content of particular meeting minute object. More...
CSMinuteType | type
| The type of particular meeting minute object. More...
CSParticipant * | sender
| The participant who added particular minute message. More...
BOOL | personal
| Indicates whether given minute message object is personal minute. More...
CSMinuteStatus | status
| The status of particular meeting minute object. More...
BOOL | mine
| Indicates whether given minute message object is minute added by local user. More...
CSCapability * | editCapability
| CSCapability object indicating whether the local user can edit particular meeting minute object in conference. More...
CSCapability * | deleteCapability
| CSCapability object indicating whether the local user can remove particular meeting minute object from conference. More...

## Detailed Description

Unsupported: The meeting minutes feature is currently not supported.

The CSMinuteMessage object represent message that can be sent using

## meeting minutes service.

Unsupported: This class and all of its supporting classes are for internal Avaya use only and should not be used by third party applications at this time. This is an incubating feature that is currently under development and the classes and methods associated with this feature are subject to change at any time. Use of this feature will not be supported by Avaya until such time that it is officially released.

See also
  CSMeetingMinutes

## Property Documentation

- (NSString*) content
| read write nonatomic strong

Content of particular meeting minute object.

Can be changed after minute is added to conference and updated using CSMeetingMinutes::updateMinute:completionHandler:.

- (NSDate*) date
| read nonatomic assign

Adding date of particular meeting minute object.

- (CSCapability*) deleteCapability
| read nonatomic assign

CSCapability object indicating whether the local user can remove particular meeting minute object from conference.

See also
  - removeMinute:completionHandler: (CSMeetingMinutes)

- (CSCapability*) editCapability
| read nonatomic assign

CSCapability object indicating whether the local user can edit particular meeting minute object in conference.

See also
  - updateMinute:completionHandler: (CSMeetingMinutes)

- (BOOL) mine
| read nonatomic assign

Indicates whether given minute message object is minute added by local user.

- (NSString*) minuteId
| read nonatomic assign

The minute message ID associated with the particular minute object.

- (BOOL) personal
| read write nonatomic assign

Indicates whether given minute message object is personal minute.

Can be changed after minute is added to conference and updated using CSMeetingMinutes::updateMinute:completionHandler:.

- (CSParticipant*) sender
| read nonatomic assign

The participant who added particular minute message.

- (CSMinuteStatus) status
| read nonatomic assign

The status of particular meeting minute object.

- (CSMinuteType) type
| read write nonatomic assign

The type of particular meeting minute object.

Can be changed after minute is added to conference and updated using CSMeetingMinutes::updateMinute:completionHandler:.

The documentation for this class was generated from the following file:

- CSMinuteMessage.h